summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2017-12-20 09:47:49 +0100
committerFabian Groffen <grobian@gentoo.org>2017-12-20 09:47:49 +0100
commita2e3a9b57e120654f14175fbf4947d3f56c4ce9d (patch)
treee27afef8a5314dd826d63952fd6729bce2af2150 /mail-mta
parentmedia-libs/exiftool: version bump to 10.69 (diff)
downloadgentoo-a2e3a9b57e120654f14175fbf4947d3f56c4ce9d.tar.gz
gentoo-a2e3a9b57e120654f14175fbf4947d3f56c4ce9d.tar.bz2
gentoo-a2e3a9b57e120654f14175fbf4947d3f56c4ce9d.zip
mail-mta/exim: version bump to 4.90
Package-Manager: Portage-2.3.13, Repoman-2.3.3
Diffstat (limited to 'mail-mta')
-rw-r--r--mail-mta/exim/Manifest2
-rw-r--r--mail-mta/exim/exim-4.89-r1.ebuild2
-rw-r--r--mail-mta/exim/exim-4.90.ebuild (renamed from mail-mta/exim/exim-4.89-r3.ebuild)31
3 files changed, 17 insertions, 18 deletions
diff --git a/mail-mta/exim/Manifest b/mail-mta/exim/Manifest
index 50cc69038aa..37c3f479ba2 100644
--- a/mail-mta/exim/Manifest
+++ b/mail-mta/exim/Manifest
@@ -1,5 +1,7 @@
DIST exim-4.89.1.tar.bz2 1828699 BLAKE2B 21b3acc73717319c58341f28463d0fd576c725291ae348015f6696f079fc6c3c08c86f9a2c19f81e0019c50b6cb8670466f4b449bf09a454e6b6e02feee60bfc SHA512 391102c5af991c3f9035aefadd031a9ab2505c682a5cd9c2268f82edb01dc5edec94d86e298d2be3c0437c261b63fb2662cc37f4de67106b0325f2c3bf7e0b9e
DIST exim-4.89.tar.bz2 1844430 BLAKE2B 255bb3f27a264d92bf4664cf1278beabffa888006dfc0b31cde8a04d62501b0fe282db5b959bd303e2a818322716548c97264842130b8d5c3b9075615f668ca7 SHA512 1e059966a93b47f055ab4ec2a4556f2c918aff56ea0367585f3a853f00411e9c275e13be4f9ae615a468fa06263135cd6a138fa1753f1b7fb3259a3321fcca65
+DIST exim-4.90.tar.bz2 1873037 BLAKE2B 5498886560f85fba94a5055d9e72eece959cde6db20a589e6567e89b9c7669c4bb421d6a48f3c5d676381aa008088f391007be5de30e033f64e8e6a128059e62 SHA512 0424d5d4eff28d94ade786402cfece3e2760ff0e44da3be5327b8695e4c3c483ec925ab24e13b1ebe145e204ad02b67ae99ff0992705bd1a3c312ede0464c74b
DIST exim-pdf-4.89.1.tar.bz2 1942785 BLAKE2B 588298b2c3007a94d40370463dec52d9b5c44b72e8c93e9b749e0ed513f1da045b58140f8802edfd9a5e9dd2d9911f70b4d4cdde3b3952c794c6abd9744ed3d9 SHA512 0b7944237fcadf708570c39a7963246fc70579fecafc746ed8e210c3319eed64a4678162c8c4243e84f48396b3b8bcbc3626523984a716b85564ee50c5712333
DIST exim-pdf-4.89.tar.bz2 1924606 BLAKE2B f03182d51f4cc5b71cb65c2e0bcf74142f8110b6bfbd5b0fc05e321b692ebde5dbc84c4562a39ee85065f4d2db0654e6a189c826bfdea19051f56969d4ca74e2 SHA512 b04ea2e4dcdb1aaf52ef77ccd76e6599c68c4c6e5a98090720dbd3c50f7191bf3f6cd7dc2089a765c47576311780809cff547f85f004caec411d0f1ac9985299
+DIST exim-pdf-4.90.tar.bz2 2025099 BLAKE2B 9b82d0a0dcace893ab6fd6b2273ed6961aa4b0091909eea49f72cace3ac25d9a861f9883373a4a41753ba2fb0eda118e9df2e779f29e6b988865ba4630e2898b SHA512 4baeabeee5554d9e80edc21b12622bf9d4b84461307f2eacaff0ad583818f7f38306ae1029de1066019327e490a3bd046c175c735fe3c6724c31b34d6171bf45
DIST system_filter.exim.gz 3075 BLAKE2B d05e872b5cef377d29126cda03fc0a74c8777b2119b76ff43da6e8de808035eb9bfcb034a85d81824f135d484e864bfc0629fc1af2c228a7277d5ee7cf9cde79 SHA512 cb358d3ce2499a0bb5920d962a06f2af8486e55ec90c8c928bd8e3aefb279aa57f5f960d5adfcef68bd94110b405eaa144e9629cfe6014a529c79c544600bbf3
diff --git a/mail-mta/exim/exim-4.89-r1.ebuild b/mail-mta/exim/exim-4.89-r1.ebuild
index 604e97786ec..aab4f2e3242 100644
--- a/mail-mta/exim/exim-4.89-r1.ebuild
+++ b/mail-mta/exim/exim-4.89-r1.ebuild
@@ -24,7 +24,7 @@ HOMEPAGE="http://www.exim.org/"
SLOT="0"
LICENSE="GPL-2"
-KEYWORDS="alpha amd64 ~arm hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd ~x86-solaris"
+KEYWORDS="sparc"
COMMON_DEPEND=">=sys-apps/sed-4.0.5
>=sys-libs/db-3.2:=
diff --git a/mail-mta/exim/exim-4.89-r3.ebuild b/mail-mta/exim/exim-4.90.ebuild
index da1e74e4eee..c6f82d8187f 100644
--- a/mail-mta/exim/exim-4.89-r3.ebuild
+++ b/mail-mta/exim/exim-4.90.ebuild
@@ -5,7 +5,7 @@ EAPI="6"
inherit eutils toolchain-funcs multilib pam systemd
-IUSE="dane dcc +dkim dlfunc dmarc +dnsdb doc dovecot-sasl dsn exiscan-acl gnutls ipv6 ldap libressl lmtp maildir mbx mysql nis pam perl pkcs11 postgres +prdr proxy radius redis sasl selinux spf sqlite srs ssl syslog tcpd tpda X elibc_glibc"
+IUSE="dane dcc +dkim dlfunc dmarc +dnsdb doc dovecot-sasl dsn exiscan-acl gnutls ipv6 ldap libressl lmtp maildir mbx mysql nis pam perl pkcs11 postgres +prdr proxy radius redis sasl selinux spf sqlite srs ssl syslog tcpd +tpda X elibc_glibc"
REQUIRED_USE="
dane? ( !gnutls )
dmarc? ( spf dkim )
@@ -95,9 +95,6 @@ src_prepare() {
epatch "${FILESDIR}"/exim-4.82-makefile-freebsd.patch # 235785
epatch "${FILESDIR}"/exim-4.89-as-needed-ldflags.patch # 352265, 391279
epatch "${FILESDIR}"/exim-4.76-crosscompile.patch # 266591
- epatch "${FILESDIR}"/exim-4.89-CVE-2017-1000369.patch # 622212
- epatch "${FILESDIR}"/${P}-transport-crash.patch # from git/in next release
- epatch "${FILESDIR}"/${P}-address-expando-crash.patch # from git/in next release
if use maildir ; then
epatch "${FILESDIR}"/exim-4.20-maildir.patch
@@ -148,7 +145,8 @@ src_configure() {
EOC
# if we use libiconv, now is the time to tell so
- use !elibc_glibc && use !elibc_musl && echo "EXTRALIBS_EXIM=-liconv" >> Makefile
+ use !elibc_glibc && use !elibc_musl && \
+ echo "EXTRALIBS_EXIM=-liconv" >> Makefile
# support for IPv6
if use ipv6; then
@@ -259,7 +257,6 @@ src_configure() {
if use exiscan-acl; then
cat >> Makefile <<- EOC
WITH_CONTENT_SCAN=yes
- WITH_OLD_DEMIME=yes
EOC
fi
@@ -279,6 +276,14 @@ src_configure() {
EOC
fi
+ # Transport post-delivery actions
+ if ! use tpda; then
+ # EVENT is enabled by default
+ cat >> Makefile <<- EOC
+ DISABLE_EVENT=yes
+ EOC
+ fi
+
# log to syslog
if use syslog; then
sed -i "s:LOG_FILE_PATH=/var/log/exim/exim_%s.log:LOG_FILE_PATH=syslog:" Makefile
@@ -378,17 +383,10 @@ src_configure() {
EOC
fi
- # Transport post-delivery actions
- if use tpda; then
- cat >> Makefile <<- EOC
- EXPERIMENTAL_EVENT=yes
- EOC
- fi
-
- # Delivery Sender Notifications
+ # Delivery Sender Notifications extra information in fail message
if use dsn; then
cat >> Makefile <<- EOC
- EXPERIMENTAL_DSN=yes
+ EXPERIMENTAL_DSN_INFO=yes
EOC
fi
@@ -524,8 +522,7 @@ pkg_postinst() {
einfo "configure DMARC, for usage see the documentation at "
einfo "experimental-spec.txt."
fi
- use tpda && einfo "TPDA/EVENT support is experimental"
- use dsn && einfo "DSN support is experimental"
+ use dsn && einfo "extra information in fail DSN message is experimental"
elog "The obsolete acl condition 'demime' is removed, the replacements"
elog "are the ACLs acl_smtp_mime and acl_not_smtp_mime"
}